/*
  copyright(c) 2004 Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import javax.swing.event.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.util.prefs.Preferences ;

public class mkDialog extends JDialog implements Serializable ,
						 ActionListener
{
    mkApplet _app ;

    private JTextField _sname ;
    private JCheckBox  _cbox ;

    public mkDialog(mkApplet app, Frame frame, String title)
    {
	super(frame, title) ;

	_app = app ;

	getContentPane().setLayout(null) ;
        setSize(new Dimension(600, 455)) ;

	JLabel lb = null ;
	JPanel panel = new JPanel(null) ;
	panel.setBounds(0, 10, 600, 455) ;

	lb = new JLabel("ۑt@C") ;
	lb.setBounds(5, 5, 120,30) ;
	panel.add(lb) ;

	_sname = new JTextField() ;
	_sname.setBounds(135,5, 375,30) ;	
	Preferences pref = _app.getPreferences() ;
	panel.add(_sname) ;

	Class c = _app.getClass() ;
	ImageIcon ic = new ImageIcon(c.getResource("images/icon02.gif")) ;
	JButton cb = new JButton(ic) ;
	cb.setToolTipText("t@CI") ;
	cb.setBounds(515, 5, 20, 30) ;
	cb.addActionListener(new mkFileNameAction(FileDialog.LOAD,
						  _app, _sname, null)) ;
	panel.add(cb) ;

	// --------

	_cbox = new JCheckBox("[h") ;
	_cbox.setBounds(135,40, 375,30) ;	
	_cbox.addChangeListener(new ChangeListener(){
		public void stateChanged(ChangeEvent e)
		{
		    JCheckBox cb = (JCheckBox )e.getSource() ;

		    Preferences pf = _app.getPreferences() ;
		    pf.putBoolean(mkApplet.AUTO_SAVE,
				  cb.isSelected()) ;
		}}) ;

	pref = _app.getPreferences() ;
	_cbox.setSelected(pref.getBoolean(mkApplet.AUTO_SAVE,
					  mkApplet.DEF_AUTO_SAVE)) ;
	panel.add(_cbox) ;

	// --------

	JButton btn = null ;
	btn = new JButton("o^") ;
	btn.setBounds(100, 380, 75, 35) ;
	btn.addActionListener(this) ;
	panel.add(btn) ;

	btn = new JButton("") ;
	btn.setBounds(350, 380, 75, 35) ;	
	btn.addActionListener(new mkCancelAction(_app)) ;
	panel.add(btn) ;

	getContentPane().add(panel) ;
    }

    public void show()
    {
	Preferences pref = _app.getPreferences() ;

	_sname.setText(pref.get(mkApplet.FILE_NAME,
			       mkApplet.DEF_FILE_NAME)) ;
	
	super.show() ;
    }
    

    public void actionPerformed(ActionEvent e)
    {
	Preferences pref = _app.getPreferences() ;

	pref.put(mkApplet.FILE_NAME, _sname.getText()) ;

	hide() ;
    }
}


