/*
  copyright(c) 2004 Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.util.prefs.Preferences ;

public class mkDirNameAction implements ActionListener
{
    mkApplet  _app ;
    JTextField _txt ;

    public mkDirNameAction(mkApplet arg, JTextField txt)
    {
	_app = arg ;
	_txt = txt ;
    }

    public void actionPerformed(ActionEvent e)
    {
	mkLeftWidget lw = _app.getLeftWidget() ;
	mkRightWidget rw = _app.getRightWidget() ;


	FileDialog fd = new FileDialog(_app.getFrame(), 
				       "t@CJ") ;
	
	fd.setMode(FileDialog.SAVE) ;
	
	fd.setFile("DIRECTORY") ;

	fd.show() ;
	
	String dir = fd.getDirectory() ;
	
	if(dir != null){
	    _txt.setText(dir) ;
	    /*
	    Preferences pref = _app.getPreferences() ;
	    pref.put(mkApplet.STYLESHEET_NAME, path) ;
	    */
	}
    }
}

