/*
  copyright(c) 2004  Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.util.prefs.Preferences ;
import java.io.* ;

public class mkFileSaveAction implements ActionListener
{
    mkApplet  _app ;

    public mkFileSaveAction(mkApplet arg)
    {
	_app = arg ;
    }

    public void actionPerformed(ActionEvent e)
    {
	mkLeftWidget lw = _app.getLeftWidget() ;
	mkRightWidget rw = _app.getRightWidget() ;

	FileDialog fd = new FileDialog(_app.getFrame(), 
				       "t@CJ") ;
	
	Preferences pref = _app.getPreferences() ;
	
	File fp = new File(pref.get(mkApplet.FILE_NAME,
				    mkApplet.DEF_FILE_NAME)) ;
	
	fd.setDirectory(fp.getPath()) ;
	fd.setFile(fp.getName()) ;
	
	fd.setMode(FileDialog.SAVE) ;
	
	fd.show() ;
	
	String dir = fd.getDirectory() ;
	
	String fname = fd.getFile() ;
	
	if(dir != null && fname != null){
	    try {
		lw.saveFile(dir+fname) ;
		pref.put(mkApplet.LAST_FILE_NAME,dir+fname) ;
	    } catch(Exception ex){
		mkApplet.showErrDialog(ex) ;
		return ;
	    }
	    lw.setUpdateFlag(false) ;
	}
    }
}


