/*
  copyright(c) 2004  Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import javax.swing.event.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.util.prefs.Preferences ;
import java.net.* ;

public class mkTransDialog extends JDialog implements Serializable ,
						 ActionListener
{
    mkApplet _app ;

    public mkTransDialog(mkApplet app, 
			 Frame frame, 
			 String title) throws Exception
    {
	super(frame, title) ;

	_app = app ;

	getContentPane().setLayout(null) ;
        setSize(new Dimension(800, 510)) ;

	JEditorPane editorPane = new JEditorPane();
	editorPane.setEditable(false);
	java.net.URL helpURL = new URL(title) ;

	if (helpURL == null) {
	    return ;
	}

	editorPane.setPage(helpURL);
	
	editorPane.addHyperlinkListener(new HyperlinkListener(){
		public void hyperlinkUpdate(HyperlinkEvent e){
		    JEditorPane ep = (JEditorPane )e.getSource() ;
		    try {
			if (e.getEventType() == 
			    HyperlinkEvent.EventType.ACTIVATED){
			    ep.setPage(e.getURL()) ;
			}
		    } catch(Exception ex){}
		}}) ;

	JScrollPane spane = new JScrollPane(editorPane) ;

	spane.setBounds(5,5, 780,400) ;	
        spane.setVerticalScrollBarPolicy(
			  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS) ;
        spane.setPreferredSize(new Dimension(700, 270));
        spane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder("e"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                spane.getBorder()));	

	JButton	btn = new JButton("OK") ;
	btn.setBounds(390, 415, 75, 35) ;
	btn.addActionListener(this) ;
	getContentPane().add(spane) ;
	getContentPane().add(btn) ;

    }

    public void actionPerformed(ActionEvent e)
    {
	hide() ;
    }
}


