/*
  copyright(c) 2004 Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import org.w3c.dom.* ;
import javax.xml.parsers.* ;
import javax.xml.transform.* ;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import java.util.prefs.Preferences ;

public class mkCard implements Serializable , Cloneable
{
    static final long serialVersionUID = -9129596561909338948L;

    public mkCard()
    {
	super() ;
    }

    public mkCard(String  name,
		  String  jname,
		  String  body)
    {
	super() ;
	
	setName(name) ;
	setJName(jname) ;

	setBody(body) ;

	_count = 1 ;

	_date = new Date() ;
    }

    private  String  _name, _jname, _body ;
    private  int     _count ;
    private  Date    _date ;

    transient private String _fileName ;

    public String getFileName()
    {
	return _fileName ;
    }

    public String getJName()
    {
	return _jname ;
    }


    public String setJName(String arg)
    {
	return _jname = arg ;
    }

    public String getName()
    {
	return _name ;
    }

    public String setName(String arg)
    {
	return _name = arg ;
    }


    public int getCount()
    {
	return _count ;
    }

    public int setCount(int arg)
    {
	return _count = arg ;
    }


    public int incrCount()
    {
	return ++_count ;
    }


    public Date setDate()
    {
	_date = new Date() ;
	return _date ;
    }


    public Date getDate()
    {
	return _date ;
    }


    public String setBody(String arg)
    {
	return _body = arg ;
    }


    public String getBody()
    {
	return _body ;
    }


    public Vector setRelation(Vector arg)
    {
	return null ;
    }


    public mkCard set(mkCard arg)
    {
	_name = arg._name ;
	_jname = arg._jname ;

	_body = arg._body ;

	return this ;
    }

    public String createFileName(int arg, String front, String ext)
    {
	String num = Integer.toString(arg) ;

	_fileName =  front +
	    "0000".substring(num.length(), 4)+num+ext ;

	return getFileName() ;
    }


    public void toXML(Preferences pref, String sheet)
    {

    }


    public void toHTML(Preferences pref)
    {

    }


    public Document
	createDocument(String ext, String sheet) throws Exception
    {
	return null ;
    }


    public void createParagraph(Document document, 
				Element top,
				String src) throws Exception 
    {

    }

    public String toString()
    {
	return getName() ;
    }

    public boolean equals(Object arg)
    {
	if(arg == null) return false ;

	mkCard ac = (mkCard )arg ;

	return (getName().equals(ac.getName())) ;
    }

    public Object clone() 
    {
	try {
	    mkCard other = (mkCard )super.clone();
	    return other;
	} catch (CloneNotSupportedException e) {
	    // this shouldn't happen, since we are Cloneable
	    throw new InternalError();
	}
    }
}


