/*
  copyright(c) 2004  Miki Akiyoshi
  
  This file is part of Miki English Study.
  
  Miki English Study is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki English Study is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki English Study; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.englishstudy ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.io.* ;
import java.util.* ;
import java.awt.dnd.* ;
import java.util.prefs.Preferences ;
import org.w3c.dom.* ;
import javax.xml.parsers.* ;
import javax.xml.transform.* ;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import java.text.* ;

public class mkRightWidget implements Serializable
{
    mkApplet _app ;

    private  JTextArea _body ;
    private  JLabel   _count ;

    public String getBody()
    {
	return _body.getText() ;
    }

    public void setBody(String arg)
    {
	if(arg != null){
	    _body.setText(arg) ;
	}
    }

    public mkRightWidget()
    {
	super() ;

    }

    private JScrollPane _spane ;
    private JPanel _panel ;


    public void clearAll()
    {
	setBody("") ;
    }


    public JScrollPane getScrollPane()
    {
	return _spane ;
    }


    public JPanel getPanel()
    {
	return _panel ;
    }


    public JPanel create(mkApplet app)
    {
	_app = app ;

	_panel = new JPanel(null) ;
	_panel.setBounds(305,75, 600,550) ;	
	_body = new JTextArea() ;
	_body.setLineWrap(true) ; 
	_body.setWrapStyleWord(true) ;
	_body.addFocusListener(new FocusListener(){
		public void focusGained(FocusEvent e){} 
		public void focusLost(FocusEvent e){
		    updateCard() ;
		}
	    }) ;


	_spane = new JScrollPane(_body) ;
	_spane.setBounds(5,5, 590,270) ;	
        _spane.setVerticalScrollBarPolicy(
			  JScrollPane.VERTICAL_SCROLLBAR_ALWAYS) ;
        _spane.setPreferredSize(new Dimension(590, 270));
        _spane.setBorder(
            BorderFactory.createCompoundBorder(
                BorderFactory.createCompoundBorder(
                                BorderFactory.createTitledBorder("ᕶ"),
                                BorderFactory.createEmptyBorder(5,5,5,5)),
                _spane.getBorder()));	
	_panel.add(_spane) ;

	_count = new JLabel(": 0") ;
	_count.setBounds(5,280, 100,50) ;	
	_panel.add(_count) ;

	return _panel ;
    }


    public int getCount()
    {
	return 0 ;
    }

    public static final int ITEM_HEIGHT = 30 ;
    public static final int ITEM_MARGIN = 2 ;
    public static final int MARGIN = 10 ;


    public int createLabel(mkCard arg)
    {
	return 0 ;
    }

    public void removeItem(mkCard arg)
    {

    }


    public int addItem(mkCard arg)
    {
	return getCount() ;
    }

    public void toXML(boolean sheet)
    {

    }


    public void toHTML()
    {

    }

    public void createFileName(String ext, Preferences pref)
    {

    }
	    

    public Document prepareList(Preferences pref)
    {
	return null ;
    }
	
    public Element startList(Document doc,
			     Preferences pref, boolean sheet)
    {
	return null ;
    }


    public void addItemToList(Preferences pref, Document doc, 
			      Element top, mkCard card) 
    {

    }

    public void endList(Preferences pref, Document doc)
    {

    }	

    public void endListAndTransform(Preferences pref, Document doc)
    {

    }

    public Vector searchStringFromList(String arg)
    {
	return null ;
    }

    public void updateCard()
    {
	_app.getLeftWidget().updateCard() ;
    }

    public void setCount(int count)
    {
	String str = ": " + count ;

	_count.setText(str) ;
    }

}
							    


